import json
import signal
import sys
from math import pi
from os import fdopen
from random import random
from time import sleep


output_fd, team_color = sys.argv[1:]

output_fds = fdopen(int(output_fd), "w", buffering=1)


def exit_gracefully(signum: int, frame):
    print("exiting gracefully")
    exit()


signal.signal(signal.SIGTERM, exit_gracefully)

while True:
    sleep(1)
    output_fds.write(json.dumps({"d": 12 * random(), "theta": pi / 3, "team": team_color}) + "\n")
